%global debug_package %{nil}
%global sover 1

%global forgeurl https://github.com/tboox/tbox
Version:        1.7.5
%forgemeta

Name:           tbox
Release:        %autorelease
Summary:        A glib-like multi-platform c library

# The library is mainly under Apache-2.0 license, except:
# src/tbox/platform/arch/{arm,arm64,mips,x86,x64}/context.{S,asm}: BSL-1.0
# src/tbox/hash/adler32.c: Zlib
License:        Apache-2.0 AND BSL-1.0 AND Zlib
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc
BuildRequires:  make

%description
TBOX is a glib-like cross-platform C library that is simple to use yet powerful
in nature.

The project focuses on making C development easier and provides many modules
(.e.g stream, coroutine, regex, container, algorithm ...), so that any developer
can quickly pick it up and enjoy the productivity boost when developing in C
language.

It supports the following platforms: Windows, Macosx, Linux, Android, iOS, *BSD
and etc.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%prep
%forgeautosetup -p1

chmod -x README.md LICENSE.md

%build
./configure --demo=no \
    --hash=y \
    --charset=y \
    --force-utf=y \
    --kind=shared \
    --prefix=%{buildroot}%{_prefix} \
    --libdir=%{buildroot}%{_libdir} \
    --includedir=%{buildroot}/%{_includedir}

%make_build

%install
%make_install

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libtbox.so.%{sover}*

%files devel
%{_includedir}/tbox/
%{_libdir}/libtbox.so

%changelog
%autochangelog
